Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBAppTable.Row

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBAppTable.Row

All Implemented Interfaces:
  DBRow

Enclosing class:
  DBAppTable

public final class DBAppTable.Row
extends Object
implements DBRow

Constructor Summary
`DBAppTable.Row(DBApplication.Row application, int containerId, String tableName, String entryKey, int entryId)`

Method Summary
`void` | `backup(DataOutputStream dos)`
`boolean` | `closed()`
`void` | `delete(P2PPlugin qapp)`
`boolean` | `equals(Object o)`
`DBApplication.Row` | `getApplication()`
`AppData` | `getContainer(P2PPlugin qapp)`
`AppData` | `getEntry(P2PPlugin qapp)`
`String` | `getEntryKey()`
`Object` | `getKey()`
`List` | `getKeys()`
`String` | `getTableName()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBAppTable.Row

    public DBAppTable.Row(DBApplication.Row application,
                          int containerId,
                          String tableName,
                          String entryKey,
                          int entryId)

Method Detail

### getKeys

    public List getKeys()

  Specified by:
    `getKeys` in interface `DBRow`

### getKey

    public Object getKey()

  Specified by:
    `getKey` in interface `DBRow`

### delete

    public void delete(P2PPlugin qapp)
                throws Exception

### closed

    public boolean closed()

### getContainer

    public AppData getContainer(P2PPlugin qapp)
                         throws Exception

### getEntry

    public AppData getEntry(P2PPlugin qapp)
                     throws Exception

### getTableName

    public String getTableName()

### getEntryKey

    public String getEntryKey()

### getApplication

    public DBApplication.Row getApplication()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Specified by:
    `backup` in interface `DBRow`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD